package com.mortals.xhx.module.certificate.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.certificate.model.CertificateCatalogEntity;
/**
 * 证照目录查询对象
 *
 * @author zxfei
 * @date 2024-07-30
 */
public class CertificateCatalogQuery extends CertificateCatalogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 目录名称 */
    private List<String> catalogNameList;

    /** 目录名称排除列表 */
    private List <String> catalogNameNotList;
    /** 目录编号 */
    private List<String> catalogCodeList;

    /** 目录编号排除列表 */
    private List <String> catalogCodeNotList;
    /** 开始 持有者类型，1：自然人；2：法人；3：自然人，法人 */
    private Integer holderTypeStart;

    /** 结束 持有者类型，1：自然人；2：法人；3：自然人，法人 */
    private Integer holderTypeEnd;

    /** 增加 持有者类型，1：自然人；2：法人；3：自然人，法人 */
    private Integer holderTypeIncrement;

    /** 持有者类型，1：自然人；2：法人；3：自然人，法人列表 */
    private List <Integer> holderTypeList;

    /** 持有者类型，1：自然人；2：法人；3：自然人，法人排除列表 */
    private List <Integer> holderTypeNotList;

    /** 开始 所属行业 */
    private Long industryIdStart;

    /** 结束 所属行业 */
    private Long industryIdEnd;

    /** 增加 所属行业 */
    private Long industryIdIncrement;

    /** 所属行业列表 */
    private List <Long> industryIdList;

    /** 所属行业排除列表 */
    private List <Long> industryIdNotList;

    /** 开始 所属分类 */
    private Long classifyIdStart;

    /** 结束 所属分类 */
    private Long classifyIdEnd;

    /** 增加 所属分类 */
    private Long classifyIdIncrement;

    /** 所属分类列表 */
    private List <Long> classifyIdList;

    /** 所属分类排除列表 */
    private List <Long> classifyIdNotList;

    /** 开始 横向尺寸(单位mm) */
    private Integer transverseStart;

    /** 结束 横向尺寸(单位mm) */
    private Integer transverseEnd;

    /** 增加 横向尺寸(单位mm) */
    private Integer transverseIncrement;

    /** 横向尺寸(单位mm)列表 */
    private List <Integer> transverseList;

    /** 横向尺寸(单位mm)排除列表 */
    private List <Integer> transverseNotList;

    /** 开始 纵向尺寸(单位mm) */
    private Integer portraitStart;

    /** 结束 纵向尺寸(单位mm) */
    private Integer portraitEnd;

    /** 增加 纵向尺寸(单位mm) */
    private Integer portraitIncrement;

    /** 纵向尺寸(单位mm)列表 */
    private List <Integer> portraitList;

    /** 纵向尺寸(单位mm)排除列表 */
    private List <Integer> portraitNotList;

    /** 开始 是否需要年检，0：否1：是 */
    private Integer inspectStart;

    /** 结束 是否需要年检，0：否1：是 */
    private Integer inspectEnd;

    /** 增加 是否需要年检，0：否1：是 */
    private Integer inspectIncrement;

    /** 是否需要年检，0：否1：是列表 */
    private List <Integer> inspectList;

    /** 是否需要年检，0：否1：是排除列表 */
    private List <Integer> inspectNotList;

    /** 开始 证照状态，0：禁用1：启用 */
    private Integer statusStart;

    /** 结束 证照状态，0：禁用1：启用 */
    private Integer statusEnd;

    /** 增加 证照状态，0：禁用1：启用 */
    private Integer statusIncrement;

    /** 证照状态，0：禁用1：启用列表 */
    private List <Integer> statusList;

    /** 证照状态，0：禁用1：启用排除列表 */
    private List <Integer> statusNotList;

    /** 正本模板文件名称 */
    private List<String> templateFileNameList;

    /** 正本模板文件名称排除列表 */
    private List <String> templateFileNameNotList;
    /** 正本模板文件地址 */
    private List<String> templateFileUrlList;

    /** 正本模板文件地址排除列表 */
    private List <String> templateFileUrlNotList;
    /** 正本模板表单内容 */
    private List<String> formContentList;

    /** 正本模板表单内容排除列表 */
    private List <String> formContentNotList;
    /** 证照示例图地址 */
    private List<String> exampleFileUrlList;

    /** 证照示例图地址排除列表 */
    private List <String> exampleFileUrlNotList;
    /** 批量导入模板文件地址 */
    private List<String> excelFileList;

    /** 批量导入模板文件地址排除列表 */
    private List <String> excelFileNotList;
    /** 开始 是否生成PDF，0：否1：是 */
    private Integer isPdfStart;

    /** 结束 是否生成PDF，0：否1：是 */
    private Integer isPdfEnd;

    /** 增加 是否生成PDF，0：否1：是 */
    private Integer isPdfIncrement;

    /** 是否生成PDF，0：否1：是列表 */
    private List <Integer> isPdfList;

    /** 是否生成PDF，0：否1：是排除列表 */
    private List <Integer> isPdfNotList;

    /** 开始 打印设备Id */
    private Long deviceIdStart;

    /** 结束 打印设备Id */
    private Long deviceIdEnd;

    /** 增加 打印设备Id */
    private Long deviceIdIncrement;

    /** 打印设备Id列表 */
    private List <Long> deviceIdList;

    /** 打印设备Id排除列表 */
    private List <Long> deviceIdNotList;

    /** 打印机名称 */
    private List<String> printerNameList;

    /** 打印机名称排除列表 */
    private List <String> printerNameNotList;
    /** 打印机网络地址 */
    private List<String> printerIpList;

    /** 打印机网络地址排除列表 */
    private List <String> printerIpNotList;
    /** 打印机纸盒 */
    private List<String> paperSourceList;

    /** 打印机纸盒排除列表 */
    private List <String> paperSourceNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 简称 */
    private List<String> shortNameList;

    /** 简称排除列表 */
    private List <String> shortNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CertificateCatalogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CertificateCatalogQuery> andConditionList;

    public CertificateCatalogQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 目录名称
     * @return catalogNameList
     */
    public List<String> getCatalogNameList(){
        return this.catalogNameList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public void setCatalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
    }

    /**
     * 获取 目录名称
     * @return catalogNameNotList
     */
    public List<String> getCatalogNameNotList(){
        return this.catalogNameNotList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameNotList
     */
    public void setCatalogNameNotList(List<String> catalogNameNotList){
        this.catalogNameNotList = catalogNameNotList;
    }

    /**
     * 获取 目录编号
     * @return catalogCodeList
     */
    public List<String> getCatalogCodeList(){
        return this.catalogCodeList;
    }

    /**
     * 设置 目录编号
     * @param catalogCodeList
     */
    public void setCatalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
    }

    /**
     * 获取 目录编号
     * @return catalogCodeNotList
     */
    public List<String> getCatalogCodeNotList(){
        return this.catalogCodeNotList;
    }

    /**
     * 设置 目录编号
     * @param catalogCodeNotList
     */
    public void setCatalogCodeNotList(List<String> catalogCodeNotList){
        this.catalogCodeNotList = catalogCodeNotList;
    }

    /**
     * 获取 开始 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return holderTypeStart
     */
    public Integer getHolderTypeStart(){
        return this.holderTypeStart;
    }

    /**
     * 设置 开始 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeStart
     */
    public void setHolderTypeStart(Integer holderTypeStart){
        this.holderTypeStart = holderTypeStart;
    }

    /**
     * 获取 结束 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return $holderTypeEnd
     */
    public Integer getHolderTypeEnd(){
        return this.holderTypeEnd;
    }

    /**
     * 设置 结束 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeEnd
     */
    public void setHolderTypeEnd(Integer holderTypeEnd){
        this.holderTypeEnd = holderTypeEnd;
    }

    /**
     * 获取 增加 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return holderTypeIncrement
     */
    public Integer getHolderTypeIncrement(){
        return this.holderTypeIncrement;
    }

    /**
     * 设置 增加 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeIncrement
     */
    public void setHolderTypeIncrement(Integer holderTypeIncrement){
        this.holderTypeIncrement = holderTypeIncrement;
    }

    /**
     * 获取 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return holderTypeList
     */
    public List<Integer> getHolderTypeList(){
        return this.holderTypeList;
    }

    /**
     * 设置 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeList
     */
    public void setHolderTypeList(List<Integer> holderTypeList){
        this.holderTypeList = holderTypeList;
    }

    /**
     * 获取 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return holderTypeNotList
     */
    public List<Integer> getHolderTypeNotList(){
        return this.holderTypeNotList;
    }

    /**
     * 设置 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeNotList
     */
    public void setHolderTypeNotList(List<Integer> holderTypeNotList){
        this.holderTypeNotList = holderTypeNotList;
    }


    /**
     * 获取 开始 所属行业
     * @return industryIdStart
     */
    public Long getIndustryIdStart(){
        return this.industryIdStart;
    }

    /**
     * 设置 开始 所属行业
     * @param industryIdStart
     */
    public void setIndustryIdStart(Long industryIdStart){
        this.industryIdStart = industryIdStart;
    }

    /**
     * 获取 结束 所属行业
     * @return $industryIdEnd
     */
    public Long getIndustryIdEnd(){
        return this.industryIdEnd;
    }

    /**
     * 设置 结束 所属行业
     * @param industryIdEnd
     */
    public void setIndustryIdEnd(Long industryIdEnd){
        this.industryIdEnd = industryIdEnd;
    }

    /**
     * 获取 增加 所属行业
     * @return industryIdIncrement
     */
    public Long getIndustryIdIncrement(){
        return this.industryIdIncrement;
    }

    /**
     * 设置 增加 所属行业
     * @param industryIdIncrement
     */
    public void setIndustryIdIncrement(Long industryIdIncrement){
        this.industryIdIncrement = industryIdIncrement;
    }

    /**
     * 获取 所属行业
     * @return industryIdList
     */
    public List<Long> getIndustryIdList(){
        return this.industryIdList;
    }

    /**
     * 设置 所属行业
     * @param industryIdList
     */
    public void setIndustryIdList(List<Long> industryIdList){
        this.industryIdList = industryIdList;
    }

    /**
     * 获取 所属行业
     * @return industryIdNotList
     */
    public List<Long> getIndustryIdNotList(){
        return this.industryIdNotList;
    }

    /**
     * 设置 所属行业
     * @param industryIdNotList
     */
    public void setIndustryIdNotList(List<Long> industryIdNotList){
        this.industryIdNotList = industryIdNotList;
    }


    /**
     * 获取 开始 所属分类
     * @return classifyIdStart
     */
    public Long getClassifyIdStart(){
        return this.classifyIdStart;
    }

    /**
     * 设置 开始 所属分类
     * @param classifyIdStart
     */
    public void setClassifyIdStart(Long classifyIdStart){
        this.classifyIdStart = classifyIdStart;
    }

    /**
     * 获取 结束 所属分类
     * @return $classifyIdEnd
     */
    public Long getClassifyIdEnd(){
        return this.classifyIdEnd;
    }

    /**
     * 设置 结束 所属分类
     * @param classifyIdEnd
     */
    public void setClassifyIdEnd(Long classifyIdEnd){
        this.classifyIdEnd = classifyIdEnd;
    }

    /**
     * 获取 增加 所属分类
     * @return classifyIdIncrement
     */
    public Long getClassifyIdIncrement(){
        return this.classifyIdIncrement;
    }

    /**
     * 设置 增加 所属分类
     * @param classifyIdIncrement
     */
    public void setClassifyIdIncrement(Long classifyIdIncrement){
        this.classifyIdIncrement = classifyIdIncrement;
    }

    /**
     * 获取 所属分类
     * @return classifyIdList
     */
    public List<Long> getClassifyIdList(){
        return this.classifyIdList;
    }

    /**
     * 设置 所属分类
     * @param classifyIdList
     */
    public void setClassifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
    }

    /**
     * 获取 所属分类
     * @return classifyIdNotList
     */
    public List<Long> getClassifyIdNotList(){
        return this.classifyIdNotList;
    }

    /**
     * 设置 所属分类
     * @param classifyIdNotList
     */
    public void setClassifyIdNotList(List<Long> classifyIdNotList){
        this.classifyIdNotList = classifyIdNotList;
    }


    /**
     * 获取 开始 横向尺寸(单位mm)
     * @return transverseStart
     */
    public Integer getTransverseStart(){
        return this.transverseStart;
    }

    /**
     * 设置 开始 横向尺寸(单位mm)
     * @param transverseStart
     */
    public void setTransverseStart(Integer transverseStart){
        this.transverseStart = transverseStart;
    }

    /**
     * 获取 结束 横向尺寸(单位mm)
     * @return $transverseEnd
     */
    public Integer getTransverseEnd(){
        return this.transverseEnd;
    }

    /**
     * 设置 结束 横向尺寸(单位mm)
     * @param transverseEnd
     */
    public void setTransverseEnd(Integer transverseEnd){
        this.transverseEnd = transverseEnd;
    }

    /**
     * 获取 增加 横向尺寸(单位mm)
     * @return transverseIncrement
     */
    public Integer getTransverseIncrement(){
        return this.transverseIncrement;
    }

    /**
     * 设置 增加 横向尺寸(单位mm)
     * @param transverseIncrement
     */
    public void setTransverseIncrement(Integer transverseIncrement){
        this.transverseIncrement = transverseIncrement;
    }

    /**
     * 获取 横向尺寸(单位mm)
     * @return transverseList
     */
    public List<Integer> getTransverseList(){
        return this.transverseList;
    }

    /**
     * 设置 横向尺寸(单位mm)
     * @param transverseList
     */
    public void setTransverseList(List<Integer> transverseList){
        this.transverseList = transverseList;
    }

    /**
     * 获取 横向尺寸(单位mm)
     * @return transverseNotList
     */
    public List<Integer> getTransverseNotList(){
        return this.transverseNotList;
    }

    /**
     * 设置 横向尺寸(单位mm)
     * @param transverseNotList
     */
    public void setTransverseNotList(List<Integer> transverseNotList){
        this.transverseNotList = transverseNotList;
    }


    /**
     * 获取 开始 纵向尺寸(单位mm)
     * @return portraitStart
     */
    public Integer getPortraitStart(){
        return this.portraitStart;
    }

    /**
     * 设置 开始 纵向尺寸(单位mm)
     * @param portraitStart
     */
    public void setPortraitStart(Integer portraitStart){
        this.portraitStart = portraitStart;
    }

    /**
     * 获取 结束 纵向尺寸(单位mm)
     * @return $portraitEnd
     */
    public Integer getPortraitEnd(){
        return this.portraitEnd;
    }

    /**
     * 设置 结束 纵向尺寸(单位mm)
     * @param portraitEnd
     */
    public void setPortraitEnd(Integer portraitEnd){
        this.portraitEnd = portraitEnd;
    }

    /**
     * 获取 增加 纵向尺寸(单位mm)
     * @return portraitIncrement
     */
    public Integer getPortraitIncrement(){
        return this.portraitIncrement;
    }

    /**
     * 设置 增加 纵向尺寸(单位mm)
     * @param portraitIncrement
     */
    public void setPortraitIncrement(Integer portraitIncrement){
        this.portraitIncrement = portraitIncrement;
    }

    /**
     * 获取 纵向尺寸(单位mm)
     * @return portraitList
     */
    public List<Integer> getPortraitList(){
        return this.portraitList;
    }

    /**
     * 设置 纵向尺寸(单位mm)
     * @param portraitList
     */
    public void setPortraitList(List<Integer> portraitList){
        this.portraitList = portraitList;
    }

    /**
     * 获取 纵向尺寸(单位mm)
     * @return portraitNotList
     */
    public List<Integer> getPortraitNotList(){
        return this.portraitNotList;
    }

    /**
     * 设置 纵向尺寸(单位mm)
     * @param portraitNotList
     */
    public void setPortraitNotList(List<Integer> portraitNotList){
        this.portraitNotList = portraitNotList;
    }


    /**
     * 获取 开始 是否需要年检，0：否1：是
     * @return inspectStart
     */
    public Integer getInspectStart(){
        return this.inspectStart;
    }

    /**
     * 设置 开始 是否需要年检，0：否1：是
     * @param inspectStart
     */
    public void setInspectStart(Integer inspectStart){
        this.inspectStart = inspectStart;
    }

    /**
     * 获取 结束 是否需要年检，0：否1：是
     * @return $inspectEnd
     */
    public Integer getInspectEnd(){
        return this.inspectEnd;
    }

    /**
     * 设置 结束 是否需要年检，0：否1：是
     * @param inspectEnd
     */
    public void setInspectEnd(Integer inspectEnd){
        this.inspectEnd = inspectEnd;
    }

    /**
     * 获取 增加 是否需要年检，0：否1：是
     * @return inspectIncrement
     */
    public Integer getInspectIncrement(){
        return this.inspectIncrement;
    }

    /**
     * 设置 增加 是否需要年检，0：否1：是
     * @param inspectIncrement
     */
    public void setInspectIncrement(Integer inspectIncrement){
        this.inspectIncrement = inspectIncrement;
    }

    /**
     * 获取 是否需要年检，0：否1：是
     * @return inspectList
     */
    public List<Integer> getInspectList(){
        return this.inspectList;
    }

    /**
     * 设置 是否需要年检，0：否1：是
     * @param inspectList
     */
    public void setInspectList(List<Integer> inspectList){
        this.inspectList = inspectList;
    }

    /**
     * 获取 是否需要年检，0：否1：是
     * @return inspectNotList
     */
    public List<Integer> getInspectNotList(){
        return this.inspectNotList;
    }

    /**
     * 设置 是否需要年检，0：否1：是
     * @param inspectNotList
     */
    public void setInspectNotList(List<Integer> inspectNotList){
        this.inspectNotList = inspectNotList;
    }


    /**
     * 获取 开始 证照状态，0：禁用1：启用
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 证照状态，0：禁用1：启用
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 证照状态，0：禁用1：启用
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 证照状态，0：禁用1：启用
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 证照状态，0：禁用1：启用
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 证照状态，0：禁用1：启用
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 证照状态，0：禁用1：启用
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 证照状态，0：禁用1：启用
     * @return statusNotList
     */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusNotList
     */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
     * 获取 正本模板文件名称
     * @return templateFileNameList
     */
    public List<String> getTemplateFileNameList(){
        return this.templateFileNameList;
    }

    /**
     * 设置 正本模板文件名称
     * @param templateFileNameList
     */
    public void setTemplateFileNameList(List<String> templateFileNameList){
        this.templateFileNameList = templateFileNameList;
    }

    /**
     * 获取 正本模板文件名称
     * @return templateFileNameNotList
     */
    public List<String> getTemplateFileNameNotList(){
        return this.templateFileNameNotList;
    }

    /**
     * 设置 正本模板文件名称
     * @param templateFileNameNotList
     */
    public void setTemplateFileNameNotList(List<String> templateFileNameNotList){
        this.templateFileNameNotList = templateFileNameNotList;
    }

    /**
     * 获取 正本模板文件地址
     * @return templateFileUrlList
     */
    public List<String> getTemplateFileUrlList(){
        return this.templateFileUrlList;
    }

    /**
     * 设置 正本模板文件地址
     * @param templateFileUrlList
     */
    public void setTemplateFileUrlList(List<String> templateFileUrlList){
        this.templateFileUrlList = templateFileUrlList;
    }

    /**
     * 获取 正本模板文件地址
     * @return templateFileUrlNotList
     */
    public List<String> getTemplateFileUrlNotList(){
        return this.templateFileUrlNotList;
    }

    /**
     * 设置 正本模板文件地址
     * @param templateFileUrlNotList
     */
    public void setTemplateFileUrlNotList(List<String> templateFileUrlNotList){
        this.templateFileUrlNotList = templateFileUrlNotList;
    }

    /**
     * 获取 正本模板表单内容
     * @return formContentList
     */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
     * 设置 正本模板表单内容
     * @param formContentList
     */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
     * 获取 正本模板表单内容
     * @return formContentNotList
     */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
     * 设置 正本模板表单内容
     * @param formContentNotList
     */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
     * 获取 证照示例图地址
     * @return exampleFileUrlList
     */
    public List<String> getExampleFileUrlList(){
        return this.exampleFileUrlList;
    }

    /**
     * 设置 证照示例图地址
     * @param exampleFileUrlList
     */
    public void setExampleFileUrlList(List<String> exampleFileUrlList){
        this.exampleFileUrlList = exampleFileUrlList;
    }

    /**
     * 获取 证照示例图地址
     * @return exampleFileUrlNotList
     */
    public List<String> getExampleFileUrlNotList(){
        return this.exampleFileUrlNotList;
    }

    /**
     * 设置 证照示例图地址
     * @param exampleFileUrlNotList
     */
    public void setExampleFileUrlNotList(List<String> exampleFileUrlNotList){
        this.exampleFileUrlNotList = exampleFileUrlNotList;
    }

    /**
     * 获取 批量导入模板文件地址
     * @return excelFileList
     */
    public List<String> getExcelFileList(){
        return this.excelFileList;
    }

    /**
     * 设置 批量导入模板文件地址
     * @param excelFileList
     */
    public void setExcelFileList(List<String> excelFileList){
        this.excelFileList = excelFileList;
    }

    /**
     * 获取 批量导入模板文件地址
     * @return excelFileNotList
     */
    public List<String> getExcelFileNotList(){
        return this.excelFileNotList;
    }

    /**
     * 设置 批量导入模板文件地址
     * @param excelFileNotList
     */
    public void setExcelFileNotList(List<String> excelFileNotList){
        this.excelFileNotList = excelFileNotList;
    }

    /**
     * 获取 开始 是否生成PDF，0：否1：是
     * @return isPdfStart
     */
    public Integer getIsPdfStart(){
        return this.isPdfStart;
    }

    /**
     * 设置 开始 是否生成PDF，0：否1：是
     * @param isPdfStart
     */
    public void setIsPdfStart(Integer isPdfStart){
        this.isPdfStart = isPdfStart;
    }

    /**
     * 获取 结束 是否生成PDF，0：否1：是
     * @return $isPdfEnd
     */
    public Integer getIsPdfEnd(){
        return this.isPdfEnd;
    }

    /**
     * 设置 结束 是否生成PDF，0：否1：是
     * @param isPdfEnd
     */
    public void setIsPdfEnd(Integer isPdfEnd){
        this.isPdfEnd = isPdfEnd;
    }

    /**
     * 获取 增加 是否生成PDF，0：否1：是
     * @return isPdfIncrement
     */
    public Integer getIsPdfIncrement(){
        return this.isPdfIncrement;
    }

    /**
     * 设置 增加 是否生成PDF，0：否1：是
     * @param isPdfIncrement
     */
    public void setIsPdfIncrement(Integer isPdfIncrement){
        this.isPdfIncrement = isPdfIncrement;
    }

    /**
     * 获取 是否生成PDF，0：否1：是
     * @return isPdfList
     */
    public List<Integer> getIsPdfList(){
        return this.isPdfList;
    }

    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdfList
     */
    public void setIsPdfList(List<Integer> isPdfList){
        this.isPdfList = isPdfList;
    }

    /**
     * 获取 是否生成PDF，0：否1：是
     * @return isPdfNotList
     */
    public List<Integer> getIsPdfNotList(){
        return this.isPdfNotList;
    }

    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdfNotList
     */
    public void setIsPdfNotList(List<Integer> isPdfNotList){
        this.isPdfNotList = isPdfNotList;
    }


    /**
     * 获取 开始 打印设备Id
     * @return deviceIdStart
     */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
     * 设置 开始 打印设备Id
     * @param deviceIdStart
     */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
     * 获取 结束 打印设备Id
     * @return $deviceIdEnd
     */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
     * 设置 结束 打印设备Id
     * @param deviceIdEnd
     */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
     * 获取 增加 打印设备Id
     * @return deviceIdIncrement
     */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
     * 设置 增加 打印设备Id
     * @param deviceIdIncrement
     */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
     * 获取 打印设备Id
     * @return deviceIdList
     */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 打印设备Id
     * @param deviceIdList
     */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 打印设备Id
     * @return deviceIdNotList
     */
    public List<Long> getDeviceIdNotList(){
        return this.deviceIdNotList;
    }

    /**
     * 设置 打印设备Id
     * @param deviceIdNotList
     */
    public void setDeviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
    }


    /**
     * 获取 打印机名称
     * @return printerNameList
     */
    public List<String> getPrinterNameList(){
        return this.printerNameList;
    }

    /**
     * 设置 打印机名称
     * @param printerNameList
     */
    public void setPrinterNameList(List<String> printerNameList){
        this.printerNameList = printerNameList;
    }

    /**
     * 获取 打印机名称
     * @return printerNameNotList
     */
    public List<String> getPrinterNameNotList(){
        return this.printerNameNotList;
    }

    /**
     * 设置 打印机名称
     * @param printerNameNotList
     */
    public void setPrinterNameNotList(List<String> printerNameNotList){
        this.printerNameNotList = printerNameNotList;
    }

    /**
     * 获取 打印机网络地址
     * @return printerIpList
     */
    public List<String> getPrinterIpList(){
        return this.printerIpList;
    }

    /**
     * 设置 打印机网络地址
     * @param printerIpList
     */
    public void setPrinterIpList(List<String> printerIpList){
        this.printerIpList = printerIpList;
    }

    /**
     * 获取 打印机网络地址
     * @return printerIpNotList
     */
    public List<String> getPrinterIpNotList(){
        return this.printerIpNotList;
    }

    /**
     * 设置 打印机网络地址
     * @param printerIpNotList
     */
    public void setPrinterIpNotList(List<String> printerIpNotList){
        this.printerIpNotList = printerIpNotList;
    }

    /**
     * 获取 打印机纸盒
     * @return paperSourceList
     */
    public List<String> getPaperSourceList(){
        return this.paperSourceList;
    }

    /**
     * 设置 打印机纸盒
     * @param paperSourceList
     */
    public void setPaperSourceList(List<String> paperSourceList){
        this.paperSourceList = paperSourceList;
    }

    /**
     * 获取 打印机纸盒
     * @return paperSourceNotList
     */
    public List<String> getPaperSourceNotList(){
        return this.paperSourceNotList;
    }

    /**
     * 设置 打印机纸盒
     * @param paperSourceNotList
     */
    public void setPaperSourceNotList(List<String> paperSourceNotList){
        this.paperSourceNotList = paperSourceNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 简称
     * @return shortNameList
     */
    public List<String> getShortNameList(){
        return this.shortNameList;
    }

    /**
     * 设置 简称
     * @param shortNameList
     */
    public void setShortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
    }

    /**
     * 获取 简称
     * @return shortNameNotList
     */
    public List<String> getShortNameNotList(){
        return this.shortNameNotList;
    }

    /**
     * 设置 简称
     * @param shortNameNotList
     */
    public void setShortNameNotList(List<String> shortNameNotList){
        this.shortNameNotList = shortNameNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public CertificateCatalogQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public CertificateCatalogQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public CertificateCatalogQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public CertificateCatalogQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public CertificateCatalogQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public CertificateCatalogQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public CertificateCatalogQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public CertificateCatalogQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public CertificateCatalogQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public CertificateCatalogQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public CertificateCatalogQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public CertificateCatalogQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 目录名称
     * @param catalogName
     */
    public CertificateCatalogQuery catalogName(String catalogName){
        setCatalogName(catalogName);
        return this;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public CertificateCatalogQuery catalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
        return this;
    }


    /**
     * 设置 目录编号
     * @param catalogCode
     */
    public CertificateCatalogQuery catalogCode(String catalogCode){
        setCatalogCode(catalogCode);
        return this;
    }

    /**
     * 设置 目录编号
     * @param catalogCodeList
     */
    public CertificateCatalogQuery catalogCodeList(List<String> catalogCodeList){
        this.catalogCodeList = catalogCodeList;
        return this;
    }

    /**
     * 设置  持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderType
     */
    public CertificateCatalogQuery holderType(Integer holderType){
        setHolderType(holderType);
        return this;
    }

    /**
     * 设置 开始 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeStart
     */
    public CertificateCatalogQuery holderTypeStart(Integer holderTypeStart){
        this.holderTypeStart = holderTypeStart;
        return this;
    }

    /**
     * 设置 结束 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeEnd
     */
    public CertificateCatalogQuery holderTypeEnd(Integer holderTypeEnd){
        this.holderTypeEnd = holderTypeEnd;
        return this;
    }

    /**
     * 设置 增加 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeIncrement
     */
    public CertificateCatalogQuery holderTypeIncrement(Integer holderTypeIncrement){
        this.holderTypeIncrement = holderTypeIncrement;
        return this;
    }

    /**
     * 设置 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeList
     */
    public CertificateCatalogQuery holderTypeList(List<Integer> holderTypeList){
        this.holderTypeList = holderTypeList;
        return this;
    }

    /**
     * 设置 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderTypeNotList
     */
    public CertificateCatalogQuery holderTypeNotList(List<Integer> holderTypeNotList){
        this.holderTypeNotList = holderTypeNotList;
        return this;
    }

    /**
     * 设置  所属行业
     * @param industryId
     */
    public CertificateCatalogQuery industryId(Long industryId){
        setIndustryId(industryId);
        return this;
    }

    /**
     * 设置 开始 所属行业
     * @param industryIdStart
     */
    public CertificateCatalogQuery industryIdStart(Long industryIdStart){
        this.industryIdStart = industryIdStart;
        return this;
    }

    /**
     * 设置 结束 所属行业
     * @param industryIdEnd
     */
    public CertificateCatalogQuery industryIdEnd(Long industryIdEnd){
        this.industryIdEnd = industryIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属行业
     * @param industryIdIncrement
     */
    public CertificateCatalogQuery industryIdIncrement(Long industryIdIncrement){
        this.industryIdIncrement = industryIdIncrement;
        return this;
    }

    /**
     * 设置 所属行业
     * @param industryIdList
     */
    public CertificateCatalogQuery industryIdList(List<Long> industryIdList){
        this.industryIdList = industryIdList;
        return this;
    }

    /**
     * 设置 所属行业
     * @param industryIdNotList
     */
    public CertificateCatalogQuery industryIdNotList(List<Long> industryIdNotList){
        this.industryIdNotList = industryIdNotList;
        return this;
    }

    /**
     * 设置  所属分类
     * @param classifyId
     */
    public CertificateCatalogQuery classifyId(Long classifyId){
        setClassifyId(classifyId);
        return this;
    }

    /**
     * 设置 开始 所属分类
     * @param classifyIdStart
     */
    public CertificateCatalogQuery classifyIdStart(Long classifyIdStart){
        this.classifyIdStart = classifyIdStart;
        return this;
    }

    /**
     * 设置 结束 所属分类
     * @param classifyIdEnd
     */
    public CertificateCatalogQuery classifyIdEnd(Long classifyIdEnd){
        this.classifyIdEnd = classifyIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属分类
     * @param classifyIdIncrement
     */
    public CertificateCatalogQuery classifyIdIncrement(Long classifyIdIncrement){
        this.classifyIdIncrement = classifyIdIncrement;
        return this;
    }

    /**
     * 设置 所属分类
     * @param classifyIdList
     */
    public CertificateCatalogQuery classifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
        return this;
    }

    /**
     * 设置 所属分类
     * @param classifyIdNotList
     */
    public CertificateCatalogQuery classifyIdNotList(List<Long> classifyIdNotList){
        this.classifyIdNotList = classifyIdNotList;
        return this;
    }

    /**
     * 设置  横向尺寸(单位mm)
     * @param transverse
     */
    public CertificateCatalogQuery transverse(Integer transverse){
        setTransverse(transverse);
        return this;
    }

    /**
     * 设置 开始 横向尺寸(单位mm)
     * @param transverseStart
     */
    public CertificateCatalogQuery transverseStart(Integer transverseStart){
        this.transverseStart = transverseStart;
        return this;
    }

    /**
     * 设置 结束 横向尺寸(单位mm)
     * @param transverseEnd
     */
    public CertificateCatalogQuery transverseEnd(Integer transverseEnd){
        this.transverseEnd = transverseEnd;
        return this;
    }

    /**
     * 设置 增加 横向尺寸(单位mm)
     * @param transverseIncrement
     */
    public CertificateCatalogQuery transverseIncrement(Integer transverseIncrement){
        this.transverseIncrement = transverseIncrement;
        return this;
    }

    /**
     * 设置 横向尺寸(单位mm)
     * @param transverseList
     */
    public CertificateCatalogQuery transverseList(List<Integer> transverseList){
        this.transverseList = transverseList;
        return this;
    }

    /**
     * 设置 横向尺寸(单位mm)
     * @param transverseNotList
     */
    public CertificateCatalogQuery transverseNotList(List<Integer> transverseNotList){
        this.transverseNotList = transverseNotList;
        return this;
    }

    /**
     * 设置  纵向尺寸(单位mm)
     * @param portrait
     */
    public CertificateCatalogQuery portrait(Integer portrait){
        setPortrait(portrait);
        return this;
    }

    /**
     * 设置 开始 纵向尺寸(单位mm)
     * @param portraitStart
     */
    public CertificateCatalogQuery portraitStart(Integer portraitStart){
        this.portraitStart = portraitStart;
        return this;
    }

    /**
     * 设置 结束 纵向尺寸(单位mm)
     * @param portraitEnd
     */
    public CertificateCatalogQuery portraitEnd(Integer portraitEnd){
        this.portraitEnd = portraitEnd;
        return this;
    }

    /**
     * 设置 增加 纵向尺寸(单位mm)
     * @param portraitIncrement
     */
    public CertificateCatalogQuery portraitIncrement(Integer portraitIncrement){
        this.portraitIncrement = portraitIncrement;
        return this;
    }

    /**
     * 设置 纵向尺寸(单位mm)
     * @param portraitList
     */
    public CertificateCatalogQuery portraitList(List<Integer> portraitList){
        this.portraitList = portraitList;
        return this;
    }

    /**
     * 设置 纵向尺寸(单位mm)
     * @param portraitNotList
     */
    public CertificateCatalogQuery portraitNotList(List<Integer> portraitNotList){
        this.portraitNotList = portraitNotList;
        return this;
    }

    /**
     * 设置  是否需要年检，0：否1：是
     * @param inspect
     */
    public CertificateCatalogQuery inspect(Integer inspect){
        setInspect(inspect);
        return this;
    }

    /**
     * 设置 开始 是否需要年检，0：否1：是
     * @param inspectStart
     */
    public CertificateCatalogQuery inspectStart(Integer inspectStart){
        this.inspectStart = inspectStart;
        return this;
    }

    /**
     * 设置 结束 是否需要年检，0：否1：是
     * @param inspectEnd
     */
    public CertificateCatalogQuery inspectEnd(Integer inspectEnd){
        this.inspectEnd = inspectEnd;
        return this;
    }

    /**
     * 设置 增加 是否需要年检，0：否1：是
     * @param inspectIncrement
     */
    public CertificateCatalogQuery inspectIncrement(Integer inspectIncrement){
        this.inspectIncrement = inspectIncrement;
        return this;
    }

    /**
     * 设置 是否需要年检，0：否1：是
     * @param inspectList
     */
    public CertificateCatalogQuery inspectList(List<Integer> inspectList){
        this.inspectList = inspectList;
        return this;
    }

    /**
     * 设置 是否需要年检，0：否1：是
     * @param inspectNotList
     */
    public CertificateCatalogQuery inspectNotList(List<Integer> inspectNotList){
        this.inspectNotList = inspectNotList;
        return this;
    }

    /**
     * 设置  证照状态，0：禁用1：启用
     * @param status
     */
    public CertificateCatalogQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 证照状态，0：禁用1：启用
     * @param statusStart
     */
    public CertificateCatalogQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 证照状态，0：禁用1：启用
     * @param statusEnd
     */
    public CertificateCatalogQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 证照状态，0：禁用1：启用
     * @param statusIncrement
     */
    public CertificateCatalogQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusList
     */
    public CertificateCatalogQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置 证照状态，0：禁用1：启用
     * @param statusNotList
     */
    public CertificateCatalogQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
    }


    /**
     * 设置 正本模板文件名称
     * @param templateFileName
     */
    public CertificateCatalogQuery templateFileName(String templateFileName){
        setTemplateFileName(templateFileName);
        return this;
    }

    /**
     * 设置 正本模板文件名称
     * @param templateFileNameList
     */
    public CertificateCatalogQuery templateFileNameList(List<String> templateFileNameList){
        this.templateFileNameList = templateFileNameList;
        return this;
    }


    /**
     * 设置 正本模板文件地址
     * @param templateFileUrl
     */
    public CertificateCatalogQuery templateFileUrl(String templateFileUrl){
        setTemplateFileUrl(templateFileUrl);
        return this;
    }

    /**
     * 设置 正本模板文件地址
     * @param templateFileUrlList
     */
    public CertificateCatalogQuery templateFileUrlList(List<String> templateFileUrlList){
        this.templateFileUrlList = templateFileUrlList;
        return this;
    }


    /**
     * 设置 正本模板表单内容
     * @param formContent
     */
    public CertificateCatalogQuery formContent(String formContent){
        setFormContent(formContent);
        return this;
    }

    /**
     * 设置 正本模板表单内容
     * @param formContentList
     */
    public CertificateCatalogQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
        return this;
    }


    /**
     * 设置 证照示例图地址
     * @param exampleFileUrl
     */
    public CertificateCatalogQuery exampleFileUrl(String exampleFileUrl){
        setExampleFileUrl(exampleFileUrl);
        return this;
    }

    /**
     * 设置 证照示例图地址
     * @param exampleFileUrlList
     */
    public CertificateCatalogQuery exampleFileUrlList(List<String> exampleFileUrlList){
        this.exampleFileUrlList = exampleFileUrlList;
        return this;
    }


    /**
     * 设置 批量导入模板文件地址
     * @param excelFile
     */
    public CertificateCatalogQuery excelFile(String excelFile){
        setExcelFile(excelFile);
        return this;
    }

    /**
     * 设置 批量导入模板文件地址
     * @param excelFileList
     */
    public CertificateCatalogQuery excelFileList(List<String> excelFileList){
        this.excelFileList = excelFileList;
        return this;
    }

    /**
     * 设置  是否生成PDF，0：否1：是
     * @param isPdf
     */
    public CertificateCatalogQuery isPdf(Integer isPdf){
        setIsPdf(isPdf);
        return this;
    }

    /**
     * 设置 开始 是否生成PDF，0：否1：是
     * @param isPdfStart
     */
    public CertificateCatalogQuery isPdfStart(Integer isPdfStart){
        this.isPdfStart = isPdfStart;
        return this;
    }

    /**
     * 设置 结束 是否生成PDF，0：否1：是
     * @param isPdfEnd
     */
    public CertificateCatalogQuery isPdfEnd(Integer isPdfEnd){
        this.isPdfEnd = isPdfEnd;
        return this;
    }

    /**
     * 设置 增加 是否生成PDF，0：否1：是
     * @param isPdfIncrement
     */
    public CertificateCatalogQuery isPdfIncrement(Integer isPdfIncrement){
        this.isPdfIncrement = isPdfIncrement;
        return this;
    }

    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdfList
     */
    public CertificateCatalogQuery isPdfList(List<Integer> isPdfList){
        this.isPdfList = isPdfList;
        return this;
    }

    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdfNotList
     */
    public CertificateCatalogQuery isPdfNotList(List<Integer> isPdfNotList){
        this.isPdfNotList = isPdfNotList;
        return this;
    }

    /**
     * 设置  打印设备Id
     * @param deviceId
     */
    public CertificateCatalogQuery deviceId(Long deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 开始 打印设备Id
     * @param deviceIdStart
     */
    public CertificateCatalogQuery deviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
        return this;
    }

    /**
     * 设置 结束 打印设备Id
     * @param deviceIdEnd
     */
    public CertificateCatalogQuery deviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
        return this;
    }

    /**
     * 设置 增加 打印设备Id
     * @param deviceIdIncrement
     */
    public CertificateCatalogQuery deviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
        return this;
    }

    /**
     * 设置 打印设备Id
     * @param deviceIdList
     */
    public CertificateCatalogQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }

    /**
     * 设置 打印设备Id
     * @param deviceIdNotList
     */
    public CertificateCatalogQuery deviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
        return this;
    }


    /**
     * 设置 打印机名称
     * @param printerName
     */
    public CertificateCatalogQuery printerName(String printerName){
        setPrinterName(printerName);
        return this;
    }

    /**
     * 设置 打印机名称
     * @param printerNameList
     */
    public CertificateCatalogQuery printerNameList(List<String> printerNameList){
        this.printerNameList = printerNameList;
        return this;
    }


    /**
     * 设置 打印机网络地址
     * @param printerIp
     */
    public CertificateCatalogQuery printerIp(String printerIp){
        setPrinterIp(printerIp);
        return this;
    }

    /**
     * 设置 打印机网络地址
     * @param printerIpList
     */
    public CertificateCatalogQuery printerIpList(List<String> printerIpList){
        this.printerIpList = printerIpList;
        return this;
    }


    /**
     * 设置 打印机纸盒
     * @param paperSource
     */
    public CertificateCatalogQuery paperSource(String paperSource){
        setPaperSource(paperSource);
        return this;
    }

    /**
     * 设置 打印机纸盒
     * @param paperSourceList
     */
    public CertificateCatalogQuery paperSourceList(List<String> paperSourceList){
        this.paperSourceList = paperSourceList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CertificateCatalogQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CertificateCatalogQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CertificateCatalogQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CertificateCatalogQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CertificateCatalogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CertificateCatalogQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CertificateCatalogQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CertificateCatalogQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CertificateCatalogQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CertificateCatalogQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CertificateCatalogQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public CertificateCatalogQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 简称
     * @param shortName
     */
    public CertificateCatalogQuery shortName(String shortName){
        setShortName(shortName);
        return this;
    }

    /**
     * 设置 简称
     * @param shortNameList
     */
    public CertificateCatalogQuery shortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CertificateCatalogQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CertificateCatalogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CertificateCatalogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CertificateCatalogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}