package com.mortals.xhx.module.record.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.RetainLogVo;
import lombok.Data;
/**
 * 证照持有实体对象
 *
 * @author zxfei
 * @date 2024-08-01
 */
@Data
public class RetainLogEntity extends RetainLogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 证照档案ID
     */
    private Long recordId;
    /**
     * 证照目录ID
     */
    private Long catalogId;
    /**
     * 证照目录编号
     */
    private String catalogCode;
    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 证照名称
     */
    private String certificateName;
    /**
     * 证照编号
     */
    private String certificateCode;
    /**
     * 市场主体名称
     */
    private String enterpriseName;
    /**
     * 法定代表人
     */
    private String legalPerson;
    /**
     * 统一社会信用代码
     */
    private String socialCode;
    /**
     * 二维码
     */
    private String qRCode;
    /**
     * 持有者姓名
     */
    private String holderName;
    /**
     * 持有者证件号码
     */
    private String holderIDCardNo;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 证照状态，1正常2注销
     */
    private Integer certificateStatus;
    /**
     * 证件附件地址
     */
    private String certificateUrl;
    /**
     * 证件预览地址
     */
    private String previewUrl;
    /**
     * 行业名称
     */
    private String industryName;
    /**
     * 经营场所
     */
    private String businessPlace;
    /**
     * 许可项目
     */
    private String licenseProject;
    /**
     * 制证机关
     */
    private String authority;
    /**
     * 颁发时间
     */
    private Date issueTime;
    /**
     * 附件名称
     */
    private String annexName;
    /**
     * 附件地址
     */
    private String annexUrl;
    /**
     * 有效期起始
     */
    private Date validityStart;
    /**
     * 有效期截止
     */
    private Date validityEnd;
    /**
     * 持有者类型，1：自然人，2：法人，3：自然人法人
     */
    private Integer holderType;
    /**
     * 持有者证件类型，1：身份证，2：组织机构代码等
     */
    private Integer holderIdType;
    /**
     * 专网ID
     */
    private String privateID;
    /**
     * 申请ID
     */
    private Long applyId;
    /**
     * 打印次数
     */
    private Integer total;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RetainLogEntity) {
            RetainLogEntity tmp = (RetainLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.recordId = null;
        this.catalogId = null;
        this.catalogCode = "";
        this.catalogName = "";
        this.certificateName = "";
        this.certificateCode = "";
        this.enterpriseName = "";
        this.legalPerson = "";
        this.socialCode = "";
        this.qRCode = "";
        this.holderName = "";
        this.holderIDCardNo = "";
        this.mobile = "";
        this.certificateStatus = 1;
        this.certificateUrl = "";
        this.previewUrl = "";
        this.industryName = "";
        this.businessPlace = "";
        this.licenseProject = "";
        this.authority = "";
        this.issueTime = null;
        this.annexName = "";
        this.annexUrl = "";
        this.validityStart = null;
        this.validityEnd = null;
        this.holderType = 1;
        this.holderIdType = 1;
        this.privateID = "";
        this.applyId = null;
        this.total = 1;
    }
}